// OSIHFE.H
// Converts between WinOSI disk dump format and HxC disk emulator format
//
#ifndef __OSIHFE_H
#define __OSIHFE_H

#include <stdarg.h>
#include <string.h>
#include <stdio.h>
#if defined (_WIN32)
#include <tchar.h>
#else
#define _tmain      main
#define _tWinMain   WinMain
#define __targv     __argv
#define _T(x)      x
#define TCHAR	char
#define _TCHAR char
#define _stprintf   sprintf
#define _vtprintf   vprintf
#define _tcscat     strcat
#define _tcscpy     strcpy
#define _tcslen     strlen
#define _tcsncpy   strncpy
#define _ftprintf   fprintf
#define _tfopen     fopen
#define _fputts     fputs
#define _vsntprintf vsnprintf
#define _tcsicmp    strcasecmp
#define _fstat     fstat
#define _fileno    fileno
#define _stat      stat

#endif

extern bool bVerbose;
extern const TCHAR * szIdentity[];
extern FILE* logfile;
void LogText(const TCHAR * szFormat, ...);
void LogData(unsigned char c);
#endif
